关于 macOS Sierra 10.12.3 的安全性内容

本文介绍了 macOS Sierra 10.12.3 的安全性内容。

关于 Apple 安全性更新

为保护我们的客户,在没有进行调查并推出修补程序或发行版本之前,Apple 不会公开、讨论或确认安全性问题。“Apple 安全性更新”页面上列出了近期发布的版本。

如果需要了解有关安全性的更多信息,请参阅“Apple 产品安全性”页面。您可以使用 Apple 产品安全性 PGP 密钥对与 Apple 的通信进行加密。

Apple 安全性文稿会尽可能引用 CVE-ID 中列出的漏洞。

macOS Sierra 10.12.3

发布于 2017 年 1 月 23 日

APNs 服务器

适用于:macOS Sierra 10.12.2

影响:拥有特权网络地位的攻击者可能会跟踪用户的活动

说明:以纯文本形式发送了客户端证书。这个问题已通过改进证书处理得到解决。

CVE-2017-2383:慕尼黑工业大学 (TUM) 的 Matthias Wachs 和 Quirin Scheitle

这个条目添加于 2017 年 3 月 28 日

apache_mod_php

适用于:macOS Sierra 10.12.2

影响:PHP 中存在多个问题

说明:多个问题已通过将 PHP 更新至版本 5.6.28 得到解决。

CVE-2016-8670

CVE-2016-9933

CVE-2016-9934

蓝牙

适用于:macOS Sierra 10.12.2

影响:应用程序或许能够利用内核权限执行任意代码

说明:“释放后使用”问题已通过改进内存管理得到解决。

CVE-2017-2353:Google Project Zero 的 Ian Beer

图形卡驱动程序

适用于:macOS Sierra 10.12.2

影响:应用程序或许能够利用内核权限执行任意代码

说明:内存损坏问题已通过改进输入验证得到解决。

CVE-2017-2358:PwnFest 2016 大会上的盘古团队和 lokihardt

帮助显示程序

适用于:macOS Sierra 10.12.2

影响:处理恶意制作的 Web 内容可能会导致任意代码执行

说明:跨站点脚本处理问题已通过改进 URL 验证得到解决。

CVE-2017-2361:Google Project Zero 的 lokihardt

IOAudioFamily

适用于:macOS Sierra 10.12.2

影响:某个应用程序或许能确定内核内存布局

说明:未初始化内存问题已通过改进内存管理得到解决。

CVE-2017-2357:PwnFest 2016 大会上的盘古团队和 lokihardt

内核

适用于:macOS Sierra 10.12.2

影响:应用程序或许能够利用内核权限执行任意代码

说明:缓冲区溢出问题已通过改进内存处理得到解决。

CVE-2017-2370:Google Project Zero 的 Ian Beer

内核

适用于:macOS Sierra 10.12.2

影响:应用程序或许能够利用内核权限执行任意代码

说明:“释放后使用”问题已通过改进内存管理得到解决。

CVE-2017-2360:Google Project Zero 的 Ian Beer

libarchive

适用于:macOS Sierra 10.12.2

影响:解压恶意制作的归档文件可能会导致任意代码执行

说明:缓冲区溢出问题已通过改进内存处理得到解决。

CVE-2016-8687:Gentoo 的 Agostino Sarubbo

Vim

适用于:macOS Sierra 10.12.2

影响:打开恶意制作的文件可能会导致应用程序意外终止或任意代码执行

说明:modelines 中存在输入验证问题。已通过改进输入验证解决这个问题。

CVE-2016-1248:Florian Larysch

macOS Sierra 10.12.3 包括 Safari 10.0.3 的安全性内容。

有关非 Apple 制造的产品或非 Apple 控制或测试的独立网站的信息仅供参考,不代表 Apple 的任何建议或保证。Apple 对于第三方网站或产品的选择、性能或使用不承担任何责任。Apple 对于第三方网站的准确性和可靠性不作任何担保。互联网的使用具有一定风险。请联系供应商以了解其他信息。其他公司和产品名称可能是其各自所有公司的商标。

发布日期: